org.wso2.carbon.device.mgt.iot.virtualfirealarm.service.impl.xmpp

## Class XmppConfig

- java.lang.Object
- - org.wso2.carbon.device.mgt.iot.virtualfirealarm.service.impl.xmpp.XmppConfig

-     public class XmppConfig
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHost()`
    `static XmppConfig` | `getInstance()`
    `String` | `getJid()`
    `String` | `getPassword()`
    `int` | `getPort()`
    `String` | `getServerName()`
    `String` | `getUsername()`
    `boolean` | `isEnabled()`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setHost(String host)`
    `void` | `setJid(String jid)`
    `void` | `setPassword(String password)`
    `void` | `setPort(int port)`
    `void` | `setServerName(String serverName)`
    `void` | `setUsername(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static XmppConfig getInstance()

    - #### getHost

          public String getHost()

    - #### setHost

          public void setHost(String host)

    - #### getPort

          public int getPort()

    - #### setPort

          public void setPort(int port)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public void setPassword(String password)

    - #### getServerName

          public String getServerName()

    - #### setServerName

          public void setServerName(String serverName)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getJid

          public String getJid()

    - #### setJid

          public void setJid(String jid)

Copyright © 2017 WSO2. All rights reserved.